View Issue Details

IDProjectCategoryView StatusLast Update
0003657GNUnetATS servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003657: replace ATS-information arrays with structs?
DescriptionCurrently the use of the arrays for ATS information is a major source of ugliness in the code, and also a likely source for bugs due to the common use of indexes (and different indexes for quality values, etc.).

A possible remedy might be to forgo the flexibility offered by the array approach in favor of some fixed-size well-known struct containing all of the performance values in one package. As all of those structs are only passed around within a peer, future changes to the performance values should not lead to a binary-incompatibility disaster either.

We might want to variants of the struct -- NBO and HBO and conversion functions between them when introducing this.
TagsNo tags attached.

Relationships

related to 0003661 closedChristian Grothoff gnunet-ats -m sometimes shows network family 'unspecified' for peers 

Activities

Christian Grothoff

2015-02-11 00:24

manager   ~0008863

Implemented as of SVN 35212.

Issue History

Date Modified Username Field Change
2015-02-09 00:09 Christian Grothoff New Issue
2015-02-09 00:09 Christian Grothoff Status new => assigned
2015-02-09 00:09 Christian Grothoff Assigned To => Matthias Wachs
2015-02-10 12:38 Christian Grothoff Relationship added related to 0003661
2015-02-11 00:22 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-02-11 00:22 Christian Grothoff Target Version => 0.11.0pre66
2015-02-11 00:24 Christian Grothoff Note Added: 0008863
2015-02-11 00:24 Christian Grothoff Status assigned => resolved
2015-02-11 00:24 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-11 00:24 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed